Chromium Code Reviews
Help | Chromium Project | Sign in
(11)

Issue 2696963002: Replace IMFTransform with ID3D11VideoProcessor (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 1 week ago by hubbe
Modified:
2 months ago
Reviewers:
jbauman, ccameron
CC:
chromium-reviews, posciak+watch_chromium.org, piman+watch_chromium.org, feature-media-reviews_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Replace IMFTransform with ID3D11VideoProcessor As far as I can tell, ID3D11VideoProcessor is the only one that understands how to convert HDR10 content into scRGB textures. A future change will enable use of this in order to properly decode HDR content. BUG=682416 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_optional_gpu_tests_rel;master.tryserver.chromium.mac:mac_optional_gpu_tests_rel;master.tryserver.chromium.win:win_optional_gpu_tests_rel Review-Url: https://codereview.chromium.org/2696963002 Cr-Original-Commit-Position: refs/heads/master@{#451192} Committed: https://chromium.googlesource.com/chromium/src/+/e3b65029f700b1bf7b218aaf00e0d8bfbb4aab48 Review-Url: https://codereview.chromium.org/2696963002 Cr-Commit-Position: refs/heads/master@{#451898} Committed: https://chromium.googlesource.com/chromium/src/+/7aa56504f87294f9b5b047401eb6fe4b59768c9d

Patch Set 1 #

Total comments: 24

Patch Set 2 : fixed all comments except one... #

Total comments: 12

Patch Set 3 : all comments addressed #

Total comments: 1

Patch Set 4 : presubmit fixes #

Patch Set 5 : !failed -> succeeded #

Patch Set 6 : fixed initialization #

Messages

Total messages: 49 (30 generated)
hubbe
2 months, 1 week ago (2017-02-14 23:13:09 UTC) #4
jbauman
https://codereview.chromium.org/2696963002/diff/1/media/gpu/dxva_video_decode_accelerator_win.cc File media/gpu/dxva_video_decode_accelerator_win.cc (left): https://codereview.chromium.org/2696963002/diff/1/media/gpu/dxva_video_decode_accelerator_win.cc#oldcode2742 media/gpu/dxva_video_decode_accelerator_win.cc:2742: if (!dx11_video_format_converter_media_type_needs_init_ && dx11_video_format_converter_media_type_needs_init_ isn't used anymore. https://codereview.chromium.org/2696963002/diff/1/media/gpu/dxva_video_decode_accelerator_win.cc File ...
2 months, 1 week ago (2017-02-14 23:43:34 UTC) #6
hubbe
Not sure how to do the fallback properly, but fixed everything else I hope... PTAL. ...
2 months, 1 week ago (2017-02-15 01:37:13 UTC) #9
jbauman
https://codereview.chromium.org/2696963002/diff/20001/media/gpu/dxva_video_decode_accelerator_win.cc File media/gpu/dxva_video_decode_accelerator_win.cc (right): https://codereview.chromium.org/2696963002/diff/20001/media/gpu/dxva_video_decode_accelerator_win.cc#newcode879 media/gpu/dxva_video_decode_accelerator_win.cc:879: hr = device_context1.QueryInterface(__uuidof(ID3D11VideoContext1), You could just do "hr = ...
2 months, 1 week ago (2017-02-15 02:01:39 UTC) #10
hubbe
PTAL https://codereview.chromium.org/2696963002/diff/20001/media/gpu/dxva_video_decode_accelerator_win.cc File media/gpu/dxva_video_decode_accelerator_win.cc (right): https://codereview.chromium.org/2696963002/diff/20001/media/gpu/dxva_video_decode_accelerator_win.cc#newcode879 media/gpu/dxva_video_decode_accelerator_win.cc:879: hr = device_context1.QueryInterface(__uuidof(ID3D11VideoContext1), On 2017/02/15 02:01:39, jbauman wrote: ...
2 months, 1 week ago (2017-02-16 01:08:20 UTC) #12
jbauman
lgtm with one nit. https://codereview.chromium.org/2696963002/diff/40001/media/gpu/dxva_video_decode_accelerator_win.cc File media/gpu/dxva_video_decode_accelerator_win.cc (right): https://codereview.chromium.org/2696963002/diff/40001/media/gpu/dxva_video_decode_accelerator_win.cc#newcode2774 media/gpu/dxva_video_decode_accelerator_win.cc:2774: if (!FAILED(hr)) { Nit: "if ...
2 months, 1 week ago (2017-02-16 02:15:35 UTC) #14
hubbe
+ccameron for ui/gfx/color_space.{cc,h}
2 months ago (2017-02-16 20:37:25 UTC) #18
ccameron
ui/gfx lgtm
2 months ago (2017-02-16 20:39:12 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2696963002/80001
2 months ago (2017-02-16 21:34:48 UTC) #25
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/384490)
2 months ago (2017-02-17 00:17:51 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2696963002/80001
2 months ago (2017-02-17 00:36:55 UTC) #29
commit-bot: I haz the power
Committed patchset #5 (id:80001) as https://chromium.googlesource.com/chromium/src/+/e3b65029f700b1bf7b218aaf00e0d8bfbb4aab48
2 months ago (2017-02-17 02:36:14 UTC) #32
jbauman
A revert of this CL (patchset #5 id:80001) has been created in https://codereview.chromium.org/2701933002/ by jbauman@chromium.org. ...
2 months ago (2017-02-17 22:04:03 UTC) #33
hubbe
PTAL Fixed initialization so that it should work on intel. (Don't have an intel machine ...
2 months ago (2017-02-21 23:37:44 UTC) #36
jbauman
lgtm
2 months ago (2017-02-21 23:53:07 UTC) #38
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2696963002/100001
2 months ago (2017-02-22 00:07:42 UTC) #42
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL) chromeos_amd64-generic_chromium_compile_only_ng on ...
2 months ago (2017-02-22 01:42:43 UTC) #44
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2696963002/100001
2 months ago (2017-02-22 03:15:40 UTC) #46
commit-bot: I haz the power
2 months ago (2017-02-22 06:27:11 UTC) #49
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/7aa56504f87294f9b5b047401eb6...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46